[Unit]
Description=CoreMedia {{ coremedia_application_name }}
After=syslog.target network.target

[Service]
Type=forking
PIDFile={{ elastic_worker.user_home }}/apache-tomcat.pid

Environment=CATALINA_PID={{ elastic_worker.user_home }}/apache-tomcat.pid
Environment=CATALINA_HOME={{ elastic_worker.user_home }}/current
# Environment='CATALINE_OPTS=-Xms128M -Xmx765M -server -XX:+UseParallelGC'
# Environment='JAVA_OPTS=-Djava.awt.haedless=true -Djava.security.egd=file:/dev/./urandom'

ExecStart={{ elastic_worker.user_home }}/current/bin/startup.sh -Dprocessname={{ coremedia_application_name }}
ExecStop={{ elastic_worker.user_home }}/current/bin/shutdown.sh 30

User={{ elastic_worker_user }}
Group={{ elastic_worker_group }}

[Install]
WantedBy=multi-user.target
